<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imphasecorr</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imgettransform.html">&lt;&lt; imgettransform</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_c6b4f04b7f17c60d11c80f2259ac5c53.html">Image Registration and Image Fusion</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imtransform.html">imtransform &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_c6b4f04b7f17c60d11c80f2259ac5c53.html">Image Registration and Image Fusion</a> &gt; imphasecorr</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imphasecorr</h1>
    <p class="refpurpose">Detection and automatic image registration for translation, rotation and scale using phase correlation method.</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">[</span><span class="default">S</span><span class="default">,</span><span class="default">TR</span><span class="default">,</span><span class="default">ROT</span><span class="default">,</span><span class="default">SC</span><span class="default">]=</span><span class="functionid">imphasecorr</span><span class="default">(</span><span class="default">I1</span><span class="default">,</span><span class="default">I2</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">I1 :</span>
      <dd><p class="para">Target image</p></dd></dt>
   <dt><span class="term">I2 :</span>
      <dd><p class="para">Source image</p></dd></dt>
   <dt><span class="term">S :</span>
      <dd><p class="para">Registed Image</p></dd></dt>
   <dt><span class="term">TR :</span>
      <dd><p class="para">Translation</p></dd></dt>
   <dt><span class="term">ROT :</span>
      <dd><p class="para">Rotation</p></dd></dt>
   <dt><span class="term">SC :</span>
      <dd><p class="para">Scale</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">Detection and automatic image registration for translation, rotation and scale using phase correlation method.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">I1</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/lena.bmp</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">I2</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/lena7030.bmp</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabopenclose">[</span><span class="scilabid">S</span><span class="scilabdefault">,</span><span class="scilabid">TR</span><span class="scilabdefault">,</span><span class="scilabid">ROT</span><span class="scilabdefault">,</span><span class="scilabid">SC</span><span class="scilabopenclose">]</span><span class="scilaboperator">=</span><span class="scilabid">imphasecorr</span><span class="scilabopenclose">(</span><span class="scilabid">I1</span><span class="scilabdefault">,</span><span class="scilabid">I2</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="scilab://imfeaturematch" class="link">imfeaturematch</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imgettransform.html">&lt;&lt; imgettransform</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_c6b4f04b7f17c60d11c80f2259ac5c53.html">Image Registration and Image Fusion</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imtransform.html">imtransform &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
